checkToken();
closeButton();

document.getElementById("signin").addEventListener("submit", function(evt){
    evt.preventDefault();
    var pseudo = document.getElementById("floatingPseudo");
    var password = document.getElementById("floatingPassword");
    if((password.value.length > 0) || (pseudo.value.length > 0)){
        authData = {username: pseudo.value, password: password.value}
        instance.post("token", {username: pseudo.value, password: password.value}, {headers: {'Accept': 'application/json', 'Content-Type': 'application/x-www-form-urlencoded' }})
            .then(function(response) { 
                location.href="html/users.html"; })
            .catch(function(error){

                switch (error.response.status){
                    case 400:
                        id = "alertRequest"
                        break;
                    case 406:
                        id = "alertPassword";
                        break;
                    case 404:
                        id = "alertUsername";
                        break;
                    case 403:
                        id = "alertDisable";
                        break;
                    case 410:
                        id = "alertToken";
                        break;
                    case 500:
                        id = "alertServer"
                        break;
                    default:
                        id = "alertUnknown";
                        break;
                }                
                document.getElementById(id).classList.remove("hidden");
            
            });
    }
});


